Download it now!
Bug 107586 - FILEOPEN: XLSX - Chart sheet tab color not imported
Summary: FILEOPEN: XLSX - Chart sheet tab color not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords: filter:xlsx
Depends on:
Blocks: OOXML-Chart XLSX Sheet-Tabs-Bar
  Show dependency treegraph
 
Reported: 2017-05-03 10:43 UTC by Pénzes Dávid
Modified: 2018-11-15 16:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
the original file (22.82 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-05-03 10:45 UTC, Pénzes Dávid
Details
The bad result. (63.88 KB, image/png)
2017-05-03 10:46 UTC, Pénzes Dávid
Details
The good result. (192.19 KB, image/png)
2017-05-03 10:46 UTC, Pénzes Dávid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pénzes Dávid 2017-05-03 10:43:58 UTC
Description:



Steps to Reproduce:
1. open the xlsx file with Libreoffice 5.3,
2. see the tabs. In LibreOffice it is not colored (compare the pictures)

On the attached pictures (colored_tab_MSO2013.png and uncolored_tab_LibO52.png) see the red frame on the bottom of pictures.

The good result is colored_tab_MSO2013.png the bad result you can see the uncolored_tab_LibO53.png.

This problem is similar too Bug 58307 and Bug 62802.

Actual Results:  
x

Expected Results:
x


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Pénzes Dávid 2017-05-03 10:45:47 UTC
Created attachment 133021 [details]
the original file
Comment 2 Pénzes Dávid 2017-05-03 10:46:20 UTC
Created attachment 133022 [details]
The bad result.
Comment 3 Pénzes Dávid 2017-05-03 10:46:55 UTC
Created attachment 133023 [details]
The good result.
Comment 4 Xisco Faulí 2017-05-03 16:06:47 UTC
Confirmed in

- Version: 5.4.0.0.alpha1+
Build ID: f12096272e684ddcd8ffa4e34dcb0a680cc594c2
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

- Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 Yousuf Philips (jay) (retired) 2017-07-03 01:20:34 UTC
Regular sheet tab colors do get imported from sheets in /xl/worksheets/sheet*.xml, but tab colors arent being imported when they are from chart sheets in /xl/chartsheets/sheet*.xml.
Comment 6 Markus Mohrhard 2018-11-06 20:42:13 UTC
Simple fix.
Comment 7 Commit Notification 2018-11-06 21:45:01 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/06e90234e402717e3ef04cf712d34c9165dbc08e%5E%21

tdf#107586, import chart sheet color

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-11-08 13:22:37 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/b6052b6f78a4486f129dbaef9db3106c4f289cae%5E%21

tdf#107586, import chart sheet color

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 BogdanB 2018-11-15 16:27:23 UTC
Verified. works.

Version: 6.2.0.0.alpha1+
Build ID: 7eb71f84db2f2d9a6e79a42d25bb676cf1018a90
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-12_17:12:50
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded